Apache Commons logo

Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of dependencies (NOD): 63
Number of unique artifacts (NOA): 89
Number of version-conflicting artifacts (NOC): 17
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 70 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in this project

com.google.guava:guava

[Error]
16.0.1
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-core:jar:3.5.3:compile
       \- com.google.inject:guice:jar:no_aop:4.0:compile
          \- (com.google.guava:guava:jar:16.0.1:compile - omitted for conflict with 20.0)

20.0
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-core:jar:3.5.3:compile
       +- org.apache.maven:maven-model-builder:jar:3.5.3:compile
       |  \- (com.google.guava:guava:jar:20.0:compile - omitted for duplicate)
       \- com.google.guava:guava:jar:20.0:compile

commons-collections:commons-collections

[Error]
3.1
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.codehaus.plexus:plexus-velocity:jar:1.2:compile
       \- commons-collections:commons-collections:jar:3.1:compile

3.2.1
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.codehaus.plexus:plexus-velocity:jar:1.2:compile
       \- org.apache.velocity:velocity:jar:1.7:compile
          \- (commons-collections:commons-collections:jar:3.2.1:compile - omitted for conflict with 3.1)

commons-io:commons-io

[Error]
2.2
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
       \- (commons-io:commons-io:jar:2.2:test - omitted for conflict with 2.6)

2.5
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-core:jar:3.5.3:compile
       \- org.apache.maven.shared:maven-shared-utils:jar:3.2.1:compile
          \- (commons-io:commons-io:jar:2.5:compile - omitted for conflict with 2.6)

2.6
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- commons-io:commons-io:jar:2.6:compile

commons-lang:commons-lang

[Error]
2.4
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.codehaus.plexus:plexus-velocity:jar:1.2:compile
       \- org.apache.velocity:velocity:jar:1.7:compile
          \- (commons-lang:commons-lang:jar:2.4:compile - omitted for conflict with 2.6)

2.6
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven.scm:maven-scm-provider-svnexe:jar:1.10.0:compile
       \- commons-lang:commons-lang:jar:2.6:compile

junit:junit

[Error]
3.8.1
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       +- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
       |  \- (junit:junit:jar:3.8.1:compile - omitted for conflict with 4.12)
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:compile
          \- org.codehaus.plexus:plexus-component-api:jar:1.0-alpha-15:compile
             \- (junit:junit:jar:3.8.1:compile - omitted for conflict with 4.12)

4.12
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- junit:junit:jar:4.12:test (scope not updated to compile)

org.apache.maven:maven-artifact

[Error]
2.2.1
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       +- org.apache.maven:maven-project:jar:2.2.1:compile
       |  +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
       |  |  \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for conflict with 3.5.3)
       |  \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for conflict with 3.5.3)
       \- org.apache.maven:maven-plugin-descriptor:jar:2.2.1:compile
          \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for conflict with 3.5.3)

3.0
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.5.2:compile
       \- (org.apache.maven:maven-artifact:jar:3.0:compile - omitted for conflict with 3.5.3)

3.5.3
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    +- org.apache.maven:maven-core:jar:3.5.3:compile
    |  +- (org.apache.maven:maven-artifact:jar:3.5.3:compile - omitted for duplicate)
    |  \- org.apache.maven:maven-model-builder:jar:3.5.3:compile
    |     \- (org.apache.maven:maven-artifact:jar:3.5.3:compile - omitted for duplicate)
    +- org.apache.maven:maven-plugin-api:jar:3.5.3:compile
    |  \- (org.apache.maven:maven-artifact:jar:3.5.3:compile - omitted for duplicate)
    +- org.apache.maven:maven-artifact:jar:3.5.3:compile
    \- org.apache.maven:maven-compat:jar:3.5.3:test
       \- (org.apache.maven:maven-artifact:jar:3.5.3:test - omitted for duplicate)

org.apache.maven:maven-core

[Error]
2.2.1
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- (org.apache.maven:maven-core:jar:2.2.1:compile - omitted for conflict with 3.5.3)

3.5.3
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    +- org.apache.maven:maven-core:jar:3.5.3:compile
    \- org.apache.maven:maven-compat:jar:3.5.3:test
       \- (org.apache.maven:maven-core:jar:3.5.3:test - omitted for duplicate)

org.apache.maven:maven-model

[Error]
2.2.1
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          +- org.apache.maven:maven-profile:jar:2.2.1:compile
          |  \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for conflict with 3.5.3)
          \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for conflict with 3.5.3)

3.5.3
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    +- org.apache.maven:maven-core:jar:3.5.3:compile
    |  +- org.apache.maven:maven-model:jar:3.5.3:compile
    |  +- org.apache.maven:maven-model-builder:jar:3.5.3:compile
    |  |  \- (org.apache.maven:maven-model:jar:3.5.3:compile - omitted for duplicate)
    |  \- org.apache.maven:maven-resolver-provider:jar:3.5.3:compile
    |     \- (org.apache.maven:maven-model:jar:3.5.3:compile - omitted for duplicate)
    +- org.apache.maven:maven-plugin-api:jar:3.5.3:compile
    |  \- (org.apache.maven:maven-model:jar:3.5.3:compile - omitted for duplicate)
    \- org.apache.maven:maven-compat:jar:3.5.3:test
       \- (org.apache.maven:maven-model:jar:3.5.3:test - omitted for duplicate)

org.apache.maven:maven-plugin-api

[Error]
2.2.1
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       +- (org.apache.maven:maven-plugin-api:jar:2.2.1:compile - omitted for conflict with 3.5.3)
       \- org.apache.maven:maven-plugin-descriptor:jar:2.2.1:compile
          \- (org.apache.maven:maven-plugin-api:jar:2.2.1:compile - omitted for conflict with 3.5.3)

3.5.3
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    +- org.apache.maven:maven-core:jar:3.5.3:compile
    |  \- (org.apache.maven:maven-plugin-api:jar:3.5.3:compile - omitted for duplicate)
    \- org.apache.maven:maven-plugin-api:jar:3.5.3:compile

org.apache.maven:maven-repository-metadata

[Error]
2.2.1
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          \- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
             \- (org.apache.maven:maven-repository-metadata:jar:2.2.1:compile - omitted for conflict with 3.5.3)

3.5.3
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    +- org.apache.maven:maven-core:jar:3.5.3:compile
    |  +- org.apache.maven:maven-repository-metadata:jar:3.5.3:compile
    |  \- org.apache.maven:maven-resolver-provider:jar:3.5.3:compile
    |     \- (org.apache.maven:maven-repository-metadata:jar:3.5.3:compile - omitted for duplicate)
    \- org.apache.maven:maven-compat:jar:3.5.3:test
       \- (org.apache.maven:maven-repository-metadata:jar:3.5.3:test - omitted for duplicate)

org.apache.maven:maven-settings

[Error]
2.2.1
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          \- (org.apache.maven:maven-settings:jar:2.2.1:compile - omitted for conflict with 3.5.3)

3.5.3
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    +- org.apache.maven:maven-core:jar:3.5.3:compile
    |  +- org.apache.maven:maven-settings:jar:3.5.3:compile
    |  \- org.apache.maven:maven-settings-builder:jar:3.5.3:compile
    |     \- (org.apache.maven:maven-settings:jar:3.5.3:compile - omitted for duplicate)
    \- org.apache.maven:maven-compat:jar:3.5.3:test
       \- (org.apache.maven:maven-settings:jar:3.5.3:test - omitted for duplicate)

org.codehaus.plexus:plexus-classworlds

[Error]
1.2-alpha-6
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:compile
          \- org.codehaus.plexus:plexus-component-api:jar:1.0-alpha-15:compile
             \- (org.codehaus.plexus:plexus-classworlds:jar:1.2-alpha-6:compile - omitted for conflict with 2.5.2)

2.5.2
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    +- org.apache.maven:maven-core:jar:3.5.3:compile
    |  +- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:compile
    |  |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile - omitted for duplicate)
    |  \- org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile
    \- org.apache.maven:maven-plugin-api:jar:3.5.3:compile
       \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile - omitted for duplicate)

org.codehaus.plexus:plexus-component-annotations

[Error]
1.5.5
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-core:jar:3.5.3:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:compile
          \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 1.7.1)

1.7.1
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    +- org.apache.maven:maven-core:jar:3.5.3:compile
    |  +- org.apache.maven:maven-settings-builder:jar:3.5.3:compile
    |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-model-builder:jar:3.5.3:compile
    |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:compile - omitted for duplicate)
    |  \- org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:compile
    \- org.apache.maven:maven-compat:jar:3.5.3:test
       \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:test - omitted for duplicate)

org.codehaus.plexus:plexus-component-api

[Error]
1.0-alpha-15
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:compile
          \- org.codehaus.plexus:plexus-component-api:jar:1.0-alpha-15:compile

1.0-alpha-16
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:compile
          \- org.codehaus.plexus:plexus-io:jar:1.0-alpha-3:compile
             \- (org.codehaus.plexus:plexus-component-api:jar:1.0-alpha-16:compile - omitted for conflict with 1.0-alpha-15)

org.codehaus.plexus:plexus-container-default

[Error]
1.0-alpha-15
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:compile
          \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-15:compile - omitted for conflict with 1.0-alpha-9-stable-1)

1.0-alpha-9-stable-1
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       +- org.codehaus.plexus:plexus-ant-factory:jar:1.0-alpha-2.1:compile
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       +- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
       +- org.apache.maven:maven-project:jar:2.2.1:compile
       |  +- org.apache.maven:maven-profile:jar:2.2.1:compile
       |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       |  +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
       |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       |  +- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile
       |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       \- org.apache.maven:maven-plugin-descriptor:jar:2.2.1:compile
          \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)

org.codehaus.plexus:plexus-interpolation

[Error]
1.11
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          +- org.apache.maven:maven-profile:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-interpolation:jar:1.11:compile - omitted for conflict with 1.24)
          \- (org.codehaus.plexus:plexus-interpolation:jar:1.11:compile - omitted for conflict with 1.24)

1.24
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    +- org.apache.maven:maven-core:jar:3.5.3:compile
    |  +- org.apache.maven:maven-settings-builder:jar:3.5.3:compile
    |  |  \- org.codehaus.plexus:plexus-interpolation:jar:1.24:compile
    |  \- org.apache.maven:maven-model-builder:jar:3.5.3:compile
    |     \- (org.codehaus.plexus:plexus-interpolation:jar:1.24:compile - omitted for duplicate)
    \- org.apache.maven:maven-compat:jar:3.5.3:test
       \- (org.codehaus.plexus:plexus-interpolation:jar:1.24:compile - scope updated from test; omitted for duplicate)

org.codehaus.plexus:plexus-utils

[Error]
1.0.4
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.0.4:compile - omitted for conflict with 3.1.0)

1.0.5
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-ant-factory:jar:1.0-alpha-2.1:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.0.5:compile - omitted for conflict with 3.1.0)

1.4.2
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          \- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
             \- org.apache.maven.wagon:wagon-provider-api:jar:3.0.0:compile
                \- (org.codehaus.plexus:plexus-utils:jar:1.4.2:compile - omitted for conflict with 3.1.0)

1.5.1
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.1:compile - omitted for conflict with 3.1.0)

1.5.15
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          +- org.apache.maven:maven-profile:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.1.0)
          +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.1.0)
          +- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.1.0)
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.1.0)

1.5.5
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    +- org.apache.maven:maven-core:jar:3.5.3:compile
    |  \- org.apache.maven:maven-settings-builder:jar:3.5.3:compile
    |     \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
    |        \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 3.1.0)
    \- org.apache.maven:maven-script-ant:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:compile
          \- org.codehaus.plexus:plexus-io:jar:1.0-alpha-3:compile
             \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 3.1.0)

3.0.17
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    \- org.apache.maven:maven-core:jar:3.5.3:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:compile
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.1.0)

3.0.24
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    +- org.apache.maven.scm:maven-scm-api:jar:1.10.0:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.24:compile - omitted for conflict with 3.1.0)
    +- org.apache.maven.scm:maven-scm-provider-svnexe:jar:1.10.0:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.24:compile - omitted for conflict with 3.1.0)
    \- org.apache.maven.scm:maven-scm-provider-svn-commons:jar:1.10.0:compile
       \- (org.codehaus.plexus:plexus-utils:jar:3.0.24:compile - omitted for conflict with 3.1.0)

3.1.0
    org.apache.commons:commons-release-plugin:maven-plugin:1.5-SNAPSHOT
    +- org.apache.maven:maven-core:jar:3.5.3:compile
    |  +- org.apache.maven:maven-model:jar:3.5.3:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-settings:jar:3.5.3:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-settings-builder:jar:3.5.3:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-repository-metadata:jar:3.5.3:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-model-builder:jar:3.5.3:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-resolver-provider:jar:3.5.3:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    |  \- org.codehaus.plexus:plexus-utils:jar:3.1.0:compile
    +- org.apache.maven:maven-plugin-api:jar:3.5.3:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    +- org.apache.maven:maven-artifact:jar:3.5.3:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    \- org.apache.maven:maven-compat:jar:3.5.3:test
       \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:test - omitted for duplicate)